function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 43);

T(1) = y(19)^(-(1+params(12)));
T(2) = (1-y(15))^(-params(12));
T(3) = params(1)*y(34)^(1-params(12));
T(4) = y(31)*(1-y(20)-y(19))+y(20)*y(32)+y(19)*y(15)*y(33);
T(5) = T(4)^(-(1+params(12)));
T(6) = T(3)*T(5);
T(7) = params(2)*T(1)*T(2)+y(33)*T(6)*(y(31)-y(15)*y(33));
T(8) = params(2)*(1-y(15))^(-(1+params(12)));
T(9) = y(19)^(-params(12));
T(10) = y(33)^2;
T(11) = T(8)*T(9)+y(19)*T(6)*T(10);
T(12) = (1-y(16))^(-params(12));
T(13) = y(31)*(1-y(20)-y(19))+y(20)*y(32)+y(19)*y(33)*y(16);
T(14) = T(13)^(-(1+params(12)));
T(15) = T(3)*T(14);
T(16) = T(1)*params(3)*T(12)+y(33)*T(15)*(y(31)-y(33)*y(16));
T(17) = params(3)*(1-y(16))^(-(1+params(12)));
T(18) = T(9)*T(17)+y(19)*T(10)*T(15);
T(19) = (1-y(17))^(-params(12));
T(20) = y(31)*(1-y(20)-y(19))+y(20)*y(32)+y(19)*y(33)*y(17);
T(21) = T(20)^(-(1+params(12)));
T(22) = T(3)*T(21);
T(23) = T(1)*params(4)*T(19)+y(33)*T(22)*(y(31)-y(33)*y(17));
T(24) = params(4)*(1-y(17))^(-(1+params(12)));
T(25) = T(9)*T(24)+y(19)*T(10)*T(22);
T(26) = (1-y(18))^(-params(12));
T(27) = y(31)*(1-y(20)-y(19))+y(20)*y(32)+y(19)*y(33)*y(18);
T(28) = T(27)^(-(1+params(12)));
T(29) = T(3)*T(28);
T(30) = T(1)*params(5)*T(26)+y(33)*T(29)*(y(31)-y(33)*y(18));
T(31) = params(5)*(1-y(18))^(-(1+params(12)));
T(32) = T(9)*T(31)+y(19)*T(10)*T(29);
T(33) = (y(19)*(1-y(15)))^(-params(12));
T(34) = T(4)^(-params(12));
T(35) = (y(19)*(1-y(16)))^(-params(12));
T(36) = T(13)^(-params(12));
T(37) = (y(19)*(1-y(17)))^(-params(12));
T(38) = T(20)^(-params(12));
T(39) = (y(19)*(1-y(18)))^(-params(12));
T(40) = T(27)^(-params(12));
T(41) = params(11)*(y(31)*(1-y(20)-y(19))+y(20)*y(32))^(-params(12));
T(42) = T(34)*params(7)*(y(31)-y(33)*(y(15)+y(11)*y(19)))+T(36)*params(8)*(y(31)-y(33)*(y(16)+y(19)*y(12)))+T(38)*params(9)*(y(31)-y(33)*(y(17)+y(19)*y(13)))+T(40)*params(10)*(y(31)-y(33)*(y(18)+y(19)*y(14)))+y(31)*T(41);
T(43) = params(7)*T(4)^(1-params(12))+params(8)*T(13)^(1-params(12))+params(9)*T(20)^(1-params(12))+params(10)*T(27)^(1-params(12))+params(11)*(y(31)*(1-y(20)-y(19))+y(20)*y(32))^(1-params(12));

end
