function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
% function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = file02c.dynamic_g1_tt(T, y, x, params, steady_state, it_);
end
g1 = zeros(23, 36);
g1(1,8)=1;
g1(1,23)=(-((-1)/((1+y(23))*(1+y(23)))/y(5)));
g1(1,5)=(-((-(y(25)*(1+y(26))+1/(1+y(23))))/(y(5)*y(5))));
g1(1,25)=(-((1+y(26))/y(5)));
g1(1,26)=(-(y(25)/y(5)));
g1(2,9)=1;
g1(2,3)=(-((-(1+y(23)))/((1+y(23))*y(3)*(1+y(23))*y(3))));
g1(2,23)=(-((-y(3))/((1+y(23))*y(3)*(1+y(23))*y(3))));
g1(3,10)=1;
g1(3,23)=(-((-1)/((1+y(23))*(1+y(23)))));
g1(4,31)=(-((T(11)*(y(33)*T(6)+(y(31)-y(15)*y(33))*y(33)*T(45))-T(7)*y(19)*T(10)*T(45))/(T(11)*T(11))));
g1(4,32)=(-((T(11)*(y(31)-y(15)*y(33))*y(33)*T(3)*y(20)*T(44)-T(7)*y(19)*T(10)*T(3)*y(20)*T(44))/(T(11)*T(11))));
g1(4,33)=(-((T(11)*((y(31)-y(15)*y(33))*(T(6)+y(33)*T(3)*T(44)*y(19)*y(15))+y(33)*T(6)*(-y(15)))-T(7)*y(19)*(T(10)*T(3)*T(44)*y(19)*y(15)+T(6)*2*y(33)))/(T(11)*T(11))));
g1(4,11)=1;
g1(4,15)=(-((T(11)*(params(2)*T(1)*(-(getPowerDeriv(1-y(15),(-params(12)),1)))+(y(31)-y(15)*y(33))*y(33)*T(3)*T(44)*y(19)*y(33)+y(33)*T(6)*(-y(33)))-T(7)*(T(9)*params(2)*(-(getPowerDeriv(1-y(15),(-(1+params(12))),1)))+y(19)*T(10)*T(3)*T(44)*y(19)*y(33)))/(T(11)*T(11))));
g1(4,19)=(-((T(11)*(T(2)*params(2)*T(70)+(y(31)-y(15)*y(33))*y(33)*T(3)*T(44)*(y(15)*y(33)-y(31)))-T(7)*(T(8)*T(71)+T(6)*T(10)+y(19)*T(10)*T(3)*T(44)*(y(15)*y(33)-y(31))))/(T(11)*T(11))));
g1(4,20)=(-((T(11)*(y(31)-y(15)*y(33))*y(33)*T(3)*(y(32)-y(31))*T(44)-T(7)*y(19)*T(10)*T(3)*(y(32)-y(31))*T(44))/(T(11)*T(11))));
g1(4,34)=(-((T(11)*(y(31)-y(15)*y(33))*y(33)*params(1)*T(5)-T(7)*y(19)*T(10)*params(1)*T(5))/(T(11)*T(11))));
g1(5,31)=(-((T(18)*(y(33)*T(15)+(y(31)-y(33)*y(16))*y(33)*T(47))-T(16)*y(19)*T(10)*T(47))/(T(18)*T(18))));
g1(5,32)=(-((T(18)*(y(31)-y(33)*y(16))*y(33)*T(3)*y(20)*T(46)-T(16)*y(19)*T(10)*T(3)*y(20)*T(46))/(T(18)*T(18))));
g1(5,33)=(-((T(18)*((y(31)-y(33)*y(16))*(T(15)+y(33)*T(3)*T(46)*y(19)*y(16))+y(33)*T(15)*(-y(16)))-T(16)*y(19)*(T(15)*2*y(33)+T(10)*T(3)*T(46)*y(19)*y(16)))/(T(18)*T(18))));
g1(5,12)=1;
g1(5,16)=(-((T(18)*(T(1)*params(3)*(-(getPowerDeriv(1-y(16),(-params(12)),1)))+(y(31)-y(33)*y(16))*y(33)*T(3)*T(46)*y(19)*y(33)+y(33)*T(15)*(-y(33)))-T(16)*(T(9)*params(3)*(-(getPowerDeriv(1-y(16),(-(1+params(12))),1)))+y(19)*T(10)*T(3)*T(46)*y(19)*y(33)))/(T(18)*T(18))));
g1(5,19)=(-((T(18)*(T(12)*params(3)*T(70)+(y(31)-y(33)*y(16))*y(33)*T(3)*T(46)*(y(33)*y(16)-y(31)))-T(16)*(T(17)*T(71)+T(10)*T(15)+y(19)*T(10)*T(3)*T(46)*(y(33)*y(16)-y(31))))/(T(18)*T(18))));
g1(5,20)=(-((T(18)*(y(31)-y(33)*y(16))*y(33)*T(3)*(y(32)-y(31))*T(46)-T(16)*y(19)*T(10)*T(3)*(y(32)-y(31))*T(46))/(T(18)*T(18))));
g1(5,34)=(-((T(18)*(y(31)-y(33)*y(16))*y(33)*params(1)*T(14)-T(16)*y(19)*T(10)*params(1)*T(14))/(T(18)*T(18))));
g1(6,31)=(-((T(25)*(y(33)*T(22)+(y(31)-y(33)*y(17))*y(33)*T(49))-T(23)*y(19)*T(10)*T(49))/(T(25)*T(25))));
g1(6,32)=(-((T(25)*(y(31)-y(33)*y(17))*y(33)*T(3)*y(20)*T(48)-T(23)*y(19)*T(10)*T(3)*y(20)*T(48))/(T(25)*T(25))));
g1(6,33)=(-((T(25)*((y(31)-y(33)*y(17))*(T(22)+y(33)*T(3)*T(48)*y(19)*y(17))+y(33)*T(22)*(-y(17)))-T(23)*y(19)*(T(22)*2*y(33)+T(10)*T(3)*T(48)*y(19)*y(17)))/(T(25)*T(25))));
g1(6,13)=1;
g1(6,17)=(-((T(25)*(T(1)*params(4)*(-(getPowerDeriv(1-y(17),(-params(12)),1)))+(y(31)-y(33)*y(17))*y(33)*T(3)*T(48)*y(19)*y(33)+y(33)*T(22)*(-y(33)))-T(23)*(T(9)*params(4)*(-(getPowerDeriv(1-y(17),(-(1+params(12))),1)))+y(19)*T(10)*T(3)*T(48)*y(19)*y(33)))/(T(25)*T(25))));
g1(6,19)=(-((T(25)*(T(19)*params(4)*T(70)+(y(31)-y(33)*y(17))*y(33)*T(3)*T(48)*(y(33)*y(17)-y(31)))-T(23)*(T(24)*T(71)+T(10)*T(22)+y(19)*T(10)*T(3)*T(48)*(y(33)*y(17)-y(31))))/(T(25)*T(25))));
g1(6,20)=(-((T(25)*(y(31)-y(33)*y(17))*y(33)*T(3)*(y(32)-y(31))*T(48)-T(23)*y(19)*T(10)*T(3)*(y(32)-y(31))*T(48))/(T(25)*T(25))));
g1(6,34)=(-((T(25)*(y(31)-y(33)*y(17))*y(33)*params(1)*T(21)-T(23)*y(19)*T(10)*params(1)*T(21))/(T(25)*T(25))));
g1(7,31)=(-((T(32)*(y(33)*T(29)+(y(31)-y(33)*y(18))*y(33)*T(51))-T(30)*y(19)*T(10)*T(51))/(T(32)*T(32))));
g1(7,32)=(-((T(32)*(y(31)-y(33)*y(18))*y(33)*T(3)*y(20)*T(50)-T(30)*y(19)*T(10)*T(3)*y(20)*T(50))/(T(32)*T(32))));
g1(7,33)=(-((T(32)*((y(31)-y(33)*y(18))*(T(29)+y(33)*T(3)*T(50)*y(19)*y(18))+y(33)*T(29)*(-y(18)))-T(30)*y(19)*(T(29)*2*y(33)+T(10)*T(3)*T(50)*y(19)*y(18)))/(T(32)*T(32))));
g1(7,14)=1;
g1(7,18)=(-((T(32)*(T(1)*params(5)*(-(getPowerDeriv(1-y(18),(-params(12)),1)))+(y(31)-y(33)*y(18))*y(33)*T(3)*T(50)*y(19)*y(33)+y(33)*T(29)*(-y(33)))-T(30)*(T(9)*params(5)*(-(getPowerDeriv(1-y(18),(-(1+params(12))),1)))+y(19)*T(10)*T(3)*T(50)*y(19)*y(33)))/(T(32)*T(32))));
g1(7,19)=(-((T(32)*(T(26)*params(5)*T(70)+(y(31)-y(33)*y(18))*y(33)*T(3)*T(50)*(y(33)*y(18)-y(31)))-T(30)*(T(31)*T(71)+T(10)*T(29)+y(19)*T(10)*T(3)*T(50)*(y(33)*y(18)-y(31))))/(T(32)*T(32))));
g1(7,20)=(-((T(32)*(y(31)-y(33)*y(18))*y(33)*T(3)*(y(32)-y(31))*T(50)-T(30)*y(19)*T(10)*T(3)*(y(32)-y(31))*T(50))/(T(32)*T(32))));
g1(7,34)=(-((T(32)*(y(31)-y(33)*y(18))*y(33)*params(1)*T(28)-T(30)*y(19)*T(10)*params(1)*T(28))/(T(32)*T(32))));
g1(8,31)=(-(y(33)*T(3)*(1-y(20)-y(19))*T(52)));
g1(8,32)=(-(y(33)*T(3)*y(20)*T(52)));
g1(8,33)=(-(T(3)*T(34)+y(33)*T(3)*T(52)*y(19)*y(15)));
g1(8,15)=params(2)*(-y(19))*T(62)-y(33)*T(3)*T(52)*y(19)*y(33);
g1(8,19)=params(2)*(1-y(15))*T(62)-y(33)*T(3)*T(52)*(y(15)*y(33)-y(31));
g1(8,20)=(-(y(33)*T(3)*(y(32)-y(31))*T(52)));
g1(8,34)=(-(y(33)*params(1)*T(34)));
g1(9,31)=(-(y(33)*T(3)*(1-y(20)-y(19))*T(53)));
g1(9,32)=(-(y(33)*T(3)*y(20)*T(53)));
g1(9,33)=(-(T(3)*T(36)+y(33)*T(3)*T(53)*y(19)*y(16)));
g1(9,16)=params(3)*(-y(19))*T(64)-y(33)*T(3)*T(53)*y(19)*y(33);
g1(9,19)=params(3)*(1-y(16))*T(64)-y(33)*T(3)*T(53)*(y(33)*y(16)-y(31));
g1(9,20)=(-(y(33)*T(3)*(y(32)-y(31))*T(53)));
g1(9,34)=(-(y(33)*params(1)*T(36)));
g1(10,31)=(-(y(33)*T(3)*(1-y(20)-y(19))*T(54)));
g1(10,32)=(-(y(33)*T(3)*y(20)*T(54)));
g1(10,33)=(-(T(3)*T(38)+y(33)*T(3)*T(54)*y(19)*y(17)));
g1(10,17)=params(4)*(-y(19))*T(66)-y(33)*T(3)*T(54)*y(19)*y(33);
g1(10,19)=params(4)*(1-y(17))*T(66)-y(33)*T(3)*T(54)*(y(33)*y(17)-y(31));
g1(10,20)=(-(y(33)*T(3)*(y(32)-y(31))*T(54)));
g1(10,34)=(-(y(33)*params(1)*T(38)));
g1(11,31)=(-(y(33)*T(3)*(1-y(20)-y(19))*T(55)));
g1(11,32)=(-(y(33)*T(3)*y(20)*T(55)));
g1(11,33)=(-(T(3)*T(40)+y(33)*T(3)*T(55)*y(19)*y(18)));
g1(11,18)=params(5)*(-y(19))*T(68)-y(33)*T(3)*T(55)*y(19)*y(33);
g1(11,19)=params(5)*(1-y(18))*T(68)-y(33)*T(3)*T(55)*(y(33)*y(18)-y(31));
g1(11,20)=(-(y(33)*T(3)*(y(32)-y(31))*T(55)));
g1(11,34)=(-(y(33)*params(1)*T(40)));
g1(12,31)=(-(T(3)*(T(34)*params(7)+(y(31)-y(33)*(y(15)+y(11)*y(19)))*params(7)*(1-y(20)-y(19))*T(52)+T(36)*params(8)+(y(31)-y(33)*(y(16)+y(19)*y(12)))*params(8)*(1-y(20)-y(19))*T(53)+T(38)*params(9)+(y(31)-y(33)*(y(17)+y(19)*y(13)))*params(9)*(1-y(20)-y(19))*T(54)+T(40)*params(10)+(y(31)-y(33)*(y(18)+y(19)*y(14)))*params(10)*(1-y(20)-y(19))*T(55)+T(41)+y(31)*params(11)*(1-y(20)-y(19))*T(56))));
g1(12,32)=(-(T(3)*((y(31)-y(33)*(y(15)+y(11)*y(19)))*params(7)*y(20)*T(52)+(y(31)-y(33)*(y(16)+y(19)*y(12)))*params(8)*y(20)*T(53)+(y(31)-y(33)*(y(17)+y(19)*y(13)))*params(9)*y(20)*T(54)+(y(31)-y(33)*(y(18)+y(19)*y(14)))*params(10)*y(20)*T(55)+y(31)*params(11)*y(20)*T(56))));
g1(12,33)=(-(T(3)*((y(31)-y(33)*(y(15)+y(11)*y(19)))*params(7)*T(52)*y(19)*y(15)+T(34)*params(7)*(-(y(15)+y(11)*y(19)))+(y(31)-y(33)*(y(16)+y(19)*y(12)))*params(8)*T(53)*y(19)*y(16)+T(36)*params(8)*(-(y(16)+y(19)*y(12)))+(y(31)-y(33)*(y(17)+y(19)*y(13)))*params(9)*T(54)*y(19)*y(17)+T(38)*params(9)*(-(y(17)+y(19)*y(13)))+(y(31)-y(33)*(y(18)+y(19)*y(14)))*params(10)*T(55)*y(19)*y(18)+T(40)*params(10)*(-(y(18)+y(19)*y(14))))));
g1(12,11)=T(33)*params(2)*params(7)*(-y(19))-T(3)*T(34)*params(7)*(-(y(19)*y(33)));
g1(12,12)=T(35)*params(3)*params(8)*(-y(19))-T(3)*T(36)*params(8)*(-(y(19)*y(33)));
g1(12,13)=T(37)*params(4)*params(9)*(-y(19))-T(3)*T(38)*params(9)*(-(y(19)*y(33)));
g1(12,14)=T(39)*params(5)*params(10)*(-y(19))-T(3)*T(40)*params(10)*(-(y(19)*y(33)));
g1(12,15)=(1+y(19)*(-y(11))-y(15))*params(2)*params(7)*(-y(19))*T(62)-T(33)*params(2)*params(7)-T(3)*((y(31)-y(33)*(y(15)+y(11)*y(19)))*params(7)*T(52)*y(19)*y(33)+T(34)*params(7)*(-y(33)));
g1(12,16)=(1+y(19)*(-y(12))-y(16))*params(3)*params(8)*(-y(19))*T(64)-T(35)*params(3)*params(8)-T(3)*((y(31)-y(33)*(y(16)+y(19)*y(12)))*params(8)*T(53)*y(19)*y(33)+T(36)*params(8)*(-y(33)));
g1(12,17)=(1+y(19)*(-y(13))-y(17))*params(4)*params(9)*(-y(19))*T(66)-T(37)*params(4)*params(9)-T(3)*((y(31)-y(33)*(y(17)+y(19)*y(13)))*params(9)*T(54)*y(19)*y(33)+T(38)*params(9)*(-y(33)));
g1(12,18)=(1+y(19)*(-y(14))-y(18))*params(5)*params(10)*(-y(19))*T(68)-T(39)*params(5)*params(10)-T(3)*((y(31)-y(33)*(y(18)+y(19)*y(14)))*params(10)*T(55)*y(19)*y(33)+T(40)*params(10)*(-y(33)));
g1(12,19)=(1+y(19)*(-y(11))-y(15))*params(2)*params(7)*(1-y(15))*T(62)+T(33)*params(2)*params(7)*(-y(11))+(1+y(19)*(-y(12))-y(16))*params(3)*params(8)*(1-y(16))*T(64)+T(35)*params(3)*params(8)*(-y(12))+(1+y(19)*(-y(13))-y(17))*params(4)*params(9)*(1-y(17))*T(66)+T(37)*params(4)*params(9)*(-y(13))+(1+y(19)*(-y(14))-y(18))*params(5)*params(10)*(1-y(18))*T(68)+T(39)*params(5)*params(10)*(-y(14))+params(6)*params(11)*T(71)-T(3)*((y(31)-y(33)*(y(15)+y(11)*y(19)))*params(7)*T(52)*(y(15)*y(33)-y(31))+T(34)*params(7)*(-(y(11)*y(33)))+(y(31)-y(33)*(y(16)+y(19)*y(12)))*params(8)*T(53)*(y(33)*y(16)-y(31))+T(36)*params(8)*(-(y(33)*y(12)))+(y(31)-y(33)*(y(17)+y(19)*y(13)))*params(9)*T(54)*(y(33)*y(17)-y(31))+T(38)*params(9)*(-(y(33)*y(13)))+(y(31)-y(33)*(y(18)+y(19)*y(14)))*params(10)*T(55)*(y(33)*y(18)-y(31))+T(40)*params(10)*(-(y(33)*y(14)))+y(31)*params(11)*T(56)*(-y(31)));
g1(12,20)=(-(T(3)*((y(31)-y(33)*(y(15)+y(11)*y(19)))*params(7)*(y(32)-y(31))*T(52)+(y(31)-y(33)*(y(16)+y(19)*y(12)))*params(8)*(y(32)-y(31))*T(53)+(y(31)-y(33)*(y(17)+y(19)*y(13)))*params(9)*(y(32)-y(31))*T(54)+(y(31)-y(33)*(y(18)+y(19)*y(14)))*params(10)*(y(32)-y(31))*T(55)+y(31)*params(11)*(y(32)-y(31))*T(56))));
g1(12,34)=(-(params(1)*T(42)));
g1(13,31)=(-1);
g1(13,32)=1;
g1(14,15)=(-(y(24)*y(19)*(-params(7))));
g1(14,16)=(-(y(24)*y(19)*(-params(8))));
g1(14,17)=(-(y(24)*y(19)*(-params(9))));
g1(14,18)=(-(y(24)*y(19)*(-params(10))));
g1(14,19)=(-((params(11)+(1-y(15))*params(7)+(1-y(16))*params(8)+(1-y(17))*params(9)+(1-y(18))*params(10))*y(24)));
g1(14,24)=(-(y(19)*(params(11)+(1-y(15))*params(7)+(1-y(16))*params(8)+(1-y(17))*params(9)+(1-y(18))*params(10))));
g1(15,19)=y(24);
g1(15,20)=y(24);
g1(15,24)=(-(1-y(20)-y(19)));
g1(15,25)=1;
g1(16,1)=y(4);
g1(16,19)=(-((1+y(26))*(1+y(23))*y(24)));
g1(16,2)=y(4)*1/y(3);
g1(16,20)=(-((1+y(26))*(1+y(23))*y(24)));
g1(16,3)=y(4)*(-y(2))/(y(3)*y(3));
g1(16,23)=(-((1+y(26))*y(24)*(y(19)+y(20))));
g1(16,4)=y(2)/y(3)+y(1);
g1(16,24)=(-((1+y(26))*(1+y(23))*(y(19)+y(20))));
g1(16,26)=(-(y(24)*(1+y(23))*(y(19)+y(20))));
g1(17,1)=(-(y(4)*(1+y(27))));
g1(17,19)=(1+y(26))*(1+y(23))*y(24);
g1(17,23)=(1+y(26))*y(19)*y(24);
g1(17,4)=(-(y(1)*(1+y(27))));
g1(17,24)=(1+y(26))*(1+y(23))*y(19);
g1(17,26)=y(24)*(1+y(23))*y(19);
g1(17,27)=(-(y(1)*y(4)));
g1(18,31)=(-(T(3)*(params(7)*(1-y(20)-y(19))*T(57)+params(8)*(1-y(20)-y(19))*T(58)+params(9)*(1-y(20)-y(19))*T(59)+params(10)*(1-y(20)-y(19))*T(60)+params(11)*(1-y(20)-y(19))*T(61))));
g1(18,32)=(-(T(3)*(params(7)*y(20)*T(57)+params(8)*y(20)*T(58)+params(9)*y(20)*T(59)+params(10)*y(20)*T(60)+params(11)*y(20)*T(61))));
g1(18,33)=(-(T(3)*(params(7)*T(57)*y(19)*y(15)+params(8)*T(58)*y(19)*y(16)+params(9)*T(59)*y(19)*y(17)+params(10)*T(60)*y(19)*y(18))));
g1(18,15)=(-(params(2)*params(7)*(-y(19))*T(63)+T(3)*params(7)*T(57)*y(19)*y(33)));
g1(18,16)=(-(params(3)*params(8)*(-y(19))*T(65)+T(3)*params(8)*T(58)*y(19)*y(33)));
g1(18,17)=(-(params(4)*params(9)*(-y(19))*T(67)+T(3)*params(9)*T(59)*y(19)*y(33)));
g1(18,18)=(-(params(5)*params(10)*(-y(19))*T(69)+T(3)*params(10)*T(60)*y(19)*y(33)));
g1(18,19)=(-(params(2)*params(7)*(1-y(15))*T(63)+params(3)*params(8)*(1-y(16))*T(65)+params(4)*params(9)*(1-y(17))*T(67)+params(5)*params(10)*(1-y(18))*T(69)+params(6)*params(11)*getPowerDeriv(y(19),1-params(12),1)+T(3)*(params(7)*T(57)*(y(15)*y(33)-y(31))+params(8)*T(58)*(y(33)*y(16)-y(31))+params(9)*T(59)*(y(33)*y(17)-y(31))+params(10)*T(60)*(y(33)*y(18)-y(31))+params(11)*T(61)*(-y(31)))));
g1(18,20)=(-(T(3)*(params(7)*(y(32)-y(31))*T(57)+params(8)*(y(32)-y(31))*T(58)+params(9)*(y(32)-y(31))*T(59)+params(10)*(y(32)-y(31))*T(60)+params(11)*(y(32)-y(31))*T(61))));
g1(18,21)=1;
g1(18,34)=(-(params(1)*T(43)));
g1(19,6)=(-params(18));
g1(19,26)=1;
g1(19,7)=(-params(20));
g1(19,35)=(-1);
g1(20,2)=(-(params(22)*y(4)/y(3)));
g1(20,3)=(-(params(22)*(-(y(2)*y(4)))/(y(3)*y(3))));
g1(20,4)=(-(y(2)/y(3)*params(22)));
g1(20,6)=(-params(21));
g1(20,7)=(-params(19));
g1(20,27)=1;
g1(20,36)=(-1);
g1(21,19)=(-((-y(24))/(y(19)*y(24)*y(19)*y(24))));
g1(21,24)=(-((-y(19))/(y(19)*y(24)*y(19)*y(24))));
g1(21,28)=1;
g1(22,22)=(-((-1)/(y(22)*y(22))));
g1(22,29)=1;
g1(23,23)=(-((-(1+y(29)))/((1+y(23))*(1+y(23)))));
g1(23,29)=(-(1/(1+y(23))));
g1(23,30)=1;

end
