function T = dynamic_g1_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_g1_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 71);

T = file02c.dynamic_resid_tt(T, y, x, params, steady_state, it_);

T(44) = getPowerDeriv(T(4),(-(1+params(12))),1);
T(45) = T(3)*(1-y(20)-y(19))*T(44);
T(46) = getPowerDeriv(T(13),(-(1+params(12))),1);
T(47) = T(3)*(1-y(20)-y(19))*T(46);
T(48) = getPowerDeriv(T(20),(-(1+params(12))),1);
T(49) = T(3)*(1-y(20)-y(19))*T(48);
T(50) = getPowerDeriv(T(27),(-(1+params(12))),1);
T(51) = T(3)*(1-y(20)-y(19))*T(50);
T(52) = getPowerDeriv(T(4),(-params(12)),1);
T(53) = getPowerDeriv(T(13),(-params(12)),1);
T(54) = getPowerDeriv(T(20),(-params(12)),1);
T(55) = getPowerDeriv(T(27),(-params(12)),1);
T(56) = getPowerDeriv(y(31)*(1-y(20)-y(19))+y(20)*y(32),(-params(12)),1);
T(57) = getPowerDeriv(T(4),1-params(12),1);
T(58) = getPowerDeriv(T(13),1-params(12),1);
T(59) = getPowerDeriv(T(20),1-params(12),1);
T(60) = getPowerDeriv(T(27),1-params(12),1);
T(61) = getPowerDeriv(y(31)*(1-y(20)-y(19))+y(20)*y(32),1-params(12),1);
T(62) = getPowerDeriv(y(19)*(1-y(15)),(-params(12)),1);
T(63) = getPowerDeriv(y(19)*(1-y(15)),1-params(12),1);
T(64) = getPowerDeriv(y(19)*(1-y(16)),(-params(12)),1);
T(65) = getPowerDeriv(y(19)*(1-y(16)),1-params(12),1);
T(66) = getPowerDeriv(y(19)*(1-y(17)),(-params(12)),1);
T(67) = getPowerDeriv(y(19)*(1-y(17)),1-params(12),1);
T(68) = getPowerDeriv(y(19)*(1-y(18)),(-params(12)),1);
T(69) = getPowerDeriv(y(19)*(1-y(18)),1-params(12),1);
T(70) = getPowerDeriv(y(19),(-(1+params(12))),1);
T(71) = getPowerDeriv(y(19),(-params(12)),1);

end
