function residual = static_resid(T, y, x, params, T_flag)
% function residual = static_resid(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = file02c.static_resid_tt(T, y, x, params);
end
residual = zeros(23, 1);
lhs = y(1);
rhs = (y(18)*(1+y(19))+1/(1+y(16)))/y(18);
residual(1) = lhs - rhs;
lhs = y(2);
rhs = 1/((1+y(16))*y(15));
residual(2) = lhs - rhs;
lhs = y(3);
rhs = 1/(1+y(16));
residual(3) = lhs - rhs;
lhs = y(4);
rhs = T(7)/T(11);
residual(4) = lhs - rhs;
lhs = y(5);
rhs = T(16)/T(18);
residual(5) = lhs - rhs;
lhs = y(6);
rhs = T(23)/T(25);
residual(6) = lhs - rhs;
lhs = y(7);
rhs = T(30)/T(32);
residual(7) = lhs - rhs;
lhs = params(2)*T(33);
rhs = y(3)*T(3)*T(34);
residual(8) = lhs - rhs;
lhs = params(3)*T(35);
rhs = y(3)*T(3)*T(36);
residual(9) = lhs - rhs;
lhs = params(4)*T(37);
rhs = y(3)*T(3)*T(38);
residual(10) = lhs - rhs;
lhs = params(5)*T(39);
rhs = y(3)*T(3)*T(40);
residual(11) = lhs - rhs;
residual(12) = T(33)*params(2)*params(7)*(1+y(12)*(-y(4))-y(8))+T(35)*params(3)*params(8)*(1+y(12)*(-y(5))-y(9))+T(37)*params(4)*params(9)*(1+y(12)*(-y(6))-y(10))+T(39)*params(5)*params(10)*(1+y(12)*(-y(7))-y(11))+T(9)*params(6)*params(11)-T(3)*T(42);
residual(13) = y(2)-y(1);
lhs = 1;
rhs = y(12)*(params(11)+(1-y(8))*params(7)+(1-y(9))*params(8)+(1-y(10))*params(9)+(1-y(11))*params(10))*y(17);
residual(14) = lhs - rhs;
lhs = y(18);
rhs = (1-y(13)-y(12))*y(17);
residual(15) = lhs - rhs;
lhs = y(17)*(y(12)+y(13)/y(15));
rhs = (1+y(19))*y(17)*(1+y(16))*(y(12)+y(13));
residual(16) = lhs - rhs;
lhs = (1+y(19))*y(17)*(1+y(16))*y(12);
rhs = y(17)*y(12)*(1+y(20));
residual(17) = lhs - rhs;
lhs = y(14);
rhs = params(2)*params(7)*(y(12)*(1-y(8)))^(1-params(12))+params(3)*params(8)*(y(12)*(1-y(9)))^(1-params(12))+params(4)*params(9)*(y(12)*(1-y(10)))^(1-params(12))+params(5)*params(10)*(y(12)*(1-y(11)))^(1-params(12))+params(6)*params(11)*y(12)^(1-params(12))+T(3)*T(43);
residual(18) = lhs - rhs;
lhs = y(19);
rhs = params(16)+params(18)*(y(19)-params(16))+params(20)*(y(20)-params(17))+x(1);
residual(19) = lhs - rhs;
lhs = y(20);
rhs = params(17)+(y(20)-params(17))*params(19)+(y(19)-params(16))*params(21)+params(22)*(y(13)*y(17)/y(15)-params(15)*params(13)/params(14))+x(2);
residual(20) = lhs - rhs;
lhs = y(21);
rhs = 1/(y(12)*y(17));
residual(21) = lhs - rhs;
lhs = y(22);
rhs = 1/y(15)-1;
residual(22) = lhs - rhs;
lhs = y(23);
rhs = (1+y(22))/(1+y(16))-1;
residual(23) = lhs - rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
end
