function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
% function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = file02d_noestim.dynamic_g1_tt(T, y, x, params, steady_state, it_);
end
g1 = zeros(23, 36);
g1(1,8)=1;
g1(1,23)=(-((-1)/((1+y(23))*(1+y(23)))/y(5)));
g1(1,5)=(-((-(y(25)*(1+y(26))+1/(1+y(23))))/(y(5)*y(5))));
g1(1,25)=(-((1+y(26))/y(5)));
g1(1,26)=(-(y(25)/y(5)));
g1(2,9)=1;
g1(2,3)=(-((-(1+y(23)))/((1+y(23))*y(3)*(1+y(23))*y(3))));
g1(2,23)=(-((-y(3))/((1+y(23))*y(3)*(1+y(23))*y(3))));
g1(3,10)=1;
g1(3,23)=T(148);
g1(4,31)=(-(T(58)/(T(14)*T(14))));
g1(4,32)=(-(T(83)/(T(14)*T(14))));
g1(4,33)=(-(T(92)/(T(14)*T(14))));
g1(4,11)=1;
g1(4,15)=(-((T(14)*T(106)-T(10)*T(108))/(T(14)*T(14))));
g1(4,19)=(-((T(14)*T(130)-T(10)*T(132))/(T(14)*T(14))));
g1(4,20)=(-((T(14)*T(9)*y(33)*T(4)*T(53)*T(55)-T(10)*T(141))/(T(14)*T(14))));
g1(4,34)=(-((T(14)*T(9)*y(33)*T(147)-T(10)*y(19)*T(13)*T(147))/(T(14)*T(14))));
g1(5,31)=(-(T(62)/(T(22)*T(22))));
g1(5,32)=(-(T(85)/(T(22)*T(22))));
g1(5,33)=(-(T(95)/(T(22)*T(22))));
g1(5,12)=1;
g1(5,16)=(-((T(22)*T(112)-T(20)*T(114))/(T(22)*T(22))));
g1(5,19)=(-((T(22)*T(133)-T(20)*T(134))/(T(22)*T(22))));
g1(5,20)=(-((T(22)*T(19)*y(33)*T(4)*T(53)*T(59)-T(20)*T(142))/(T(22)*T(22))));
g1(5,34)=(-((T(22)*T(19)*y(33)*T(17)*T(146)-T(20)*y(19)*T(13)*T(17)*T(146))/(T(22)*T(22))));
g1(6,31)=(-(T(66)/(T(30)*T(30))));
g1(6,32)=(-(T(87)/(T(30)*T(30))));
g1(6,33)=(-(T(98)/(T(30)*T(30))));
g1(6,13)=1;
g1(6,17)=(-((T(30)*T(118)-T(28)*T(120))/(T(30)*T(30))));
g1(6,19)=(-((T(30)*T(135)-T(28)*T(136))/(T(30)*T(30))));
g1(6,20)=(-((T(30)*T(27)*y(33)*T(4)*T(53)*T(63)-T(28)*T(143))/(T(30)*T(30))));
g1(6,34)=(-((T(30)*T(27)*y(33)*T(25)*T(146)-T(28)*y(19)*T(13)*T(25)*T(146))/(T(30)*T(30))));
g1(7,31)=(-(T(70)/(T(38)*T(38))));
g1(7,32)=(-(T(89)/(T(38)*T(38))));
g1(7,33)=(-(T(101)/(T(38)*T(38))));
g1(7,14)=1;
g1(7,18)=(-((T(38)*T(124)-T(36)*T(126))/(T(38)*T(38))));
g1(7,19)=(-((T(38)*T(137)-T(36)*T(138))/(T(38)*T(38))));
g1(7,20)=(-((T(38)*T(35)*y(33)*T(4)*T(53)*T(67)-T(36)*T(144))/(T(38)*T(38))));
g1(7,34)=(-((T(38)*T(35)*y(33)*T(33)*T(146)-T(36)*y(19)*T(13)*T(33)*T(146))/(T(38)*T(38))));
g1(8,31)=(-(y(33)*T(4)*T(5)*T(71)));
g1(8,32)=(-(y(33)*T(4)*y(20)*T(71)));
g1(8,33)=(-(T(4)*T(40)+y(33)*T(4)*T(71)*y(19)*y(15)));
g1(8,15)=params(2)*(-y(19))*T(109)-y(33)*T(4)*T(71)*T(103);
g1(8,19)=params(2)*(1-y(15))*T(109)-y(33)*T(4)*T(71)*(y(15)*y(33)-y(31));
g1(8,20)=(-(y(33)*T(4)*T(53)*T(71)));
g1(8,34)=(-(y(33)*T(40)*T(146)));
g1(9,31)=(-(y(33)*T(4)*T(5)*T(72)));
g1(9,32)=(-(y(33)*T(4)*y(20)*T(72)));
g1(9,33)=(-(T(4)*T(42)+y(33)*T(4)*T(72)*y(19)*y(16)));
g1(9,16)=params(3)*(-y(19))*T(115)-y(33)*T(4)*T(72)*T(103);
g1(9,19)=params(3)*(1-y(16))*T(115)-y(33)*T(4)*T(72)*(y(33)*y(16)-y(31));
g1(9,20)=(-(y(33)*T(4)*T(53)*T(72)));
g1(9,34)=(-(y(33)*T(42)*T(146)));
g1(10,31)=(-(y(33)*T(4)*T(5)*T(73)));
g1(10,32)=(-(y(33)*T(4)*y(20)*T(73)));
g1(10,33)=(-(T(4)*T(44)+y(33)*T(4)*T(73)*y(19)*y(17)));
g1(10,17)=params(4)*(-y(19))*T(121)-y(33)*T(4)*T(73)*T(103);
g1(10,19)=params(4)*(1-y(17))*T(121)-y(33)*T(4)*T(73)*(y(33)*y(17)-y(31));
g1(10,20)=(-(y(33)*T(4)*T(53)*T(73)));
g1(10,34)=(-(y(33)*T(44)*T(146)));
g1(11,31)=(-(y(33)*T(4)*T(5)*T(74)));
g1(11,32)=(-(y(33)*T(4)*y(20)*T(74)));
g1(11,33)=(-(T(4)*T(46)+y(33)*T(4)*T(74)*y(19)*y(18)));
g1(11,18)=params(5)*(-y(19))*T(127)-y(33)*T(4)*T(74)*T(103);
g1(11,19)=params(5)*(1-y(18))*T(127)-y(33)*T(4)*T(74)*(y(33)*y(18)-y(31));
g1(11,20)=(-(y(33)*T(4)*T(53)*T(74)));
g1(11,34)=(-(y(33)*T(46)*T(146)));
g1(12,31)=(-(T(4)*T(76)));
g1(12,32)=(-(T(4)*(T(47)*params(7)*y(20)*T(71)+T(48)*params(8)*y(20)*T(72)+T(49)*params(9)*y(20)*T(73)+T(50)*params(10)*y(20)*T(74)+y(31)*params(11)*y(20)*T(75))));
g1(12,33)=(-(T(4)*T(102)));
g1(12,11)=T(39)*params(2)*params(7)*(-y(19))-T(4)*T(40)*params(7)*(-T(103));
g1(12,12)=T(41)*params(3)*params(8)*(-y(19))-T(4)*T(42)*params(8)*(-T(103));
g1(12,13)=T(43)*params(4)*params(9)*(-y(19))-T(4)*T(44)*params(9)*(-T(103));
g1(12,14)=T(45)*params(5)*params(10)*(-y(19))-T(4)*T(46)*params(10)*(-T(103));
g1(12,15)=(1+y(19)*(-y(11))-y(15))*params(2)*params(7)*(-y(19))*T(109)-T(39)*params(2)*params(7)-T(4)*(T(47)*params(7)*T(71)*T(103)+T(40)*params(7)*T(105));
g1(12,16)=(1+y(19)*(-y(12))-y(16))*params(3)*params(8)*(-y(19))*T(115)-T(41)*params(3)*params(8)-T(4)*(T(48)*params(8)*T(72)*T(103)+T(42)*params(8)*T(105));
g1(12,17)=(1+y(19)*(-y(13))-y(17))*params(4)*params(9)*(-y(19))*T(121)-T(43)*params(4)*params(9)-T(4)*(T(49)*params(9)*T(73)*T(103)+T(44)*params(9)*T(105));
g1(12,18)=(1+y(19)*(-y(14))-y(18))*params(5)*params(10)*(-y(19))*T(127)-T(45)*params(5)*params(10)-T(4)*(T(50)*params(10)*T(74)*T(103)+T(46)*params(10)*T(105));
g1(12,19)=(1+y(19)*(-y(11))-y(15))*params(2)*params(7)*(1-y(15))*T(109)+T(39)*params(2)*params(7)*(-y(11))+(1+y(19)*(-y(12))-y(16))*params(3)*params(8)*(1-y(16))*T(115)+T(41)*params(3)*params(8)*(-y(12))+(1+y(19)*(-y(13))-y(17))*params(4)*params(9)*(1-y(17))*T(121)+T(43)*params(4)*params(9)*(-y(13))+(1+y(19)*(-y(14))-y(18))*params(5)*params(10)*(1-y(18))*T(127)+T(45)*params(5)*params(10)*(-y(14))+params(6)*params(11)*T(131)-T(4)*T(139);
g1(12,20)=(-(T(4)*T(145)));
g1(12,34)=(-(T(52)*T(146)));
g1(13,31)=(-1);
g1(13,32)=1;
g1(14,15)=(-(y(24)*y(19)*(-params(7))));
g1(14,16)=(-(y(24)*y(19)*(-params(8))));
g1(14,17)=(-(y(24)*y(19)*(-params(9))));
g1(14,18)=(-(y(24)*y(19)*(-params(10))));
g1(14,19)=(-((params(11)+(1-y(15))*params(7)+(1-y(16))*params(8)+(1-y(17))*params(9)+(1-y(18))*params(10))*y(24)));
g1(14,24)=(-(y(19)*(params(11)+(1-y(15))*params(7)+(1-y(16))*params(8)+(1-y(17))*params(9)+(1-y(18))*params(10))));
g1(15,19)=y(24);
g1(15,20)=y(24);
g1(15,24)=(-T(5));
g1(15,25)=1;
g1(16,1)=y(4);
g1(16,19)=(-((1+y(26))*(1+y(23))*y(24)));
g1(16,2)=y(4)*1/y(3);
g1(16,20)=(-((1+y(26))*(1+y(23))*y(24)));
g1(16,3)=y(4)*(-y(2))/(y(3)*y(3));
g1(16,23)=(-((1+y(26))*y(24)*(y(19)+y(20))));
g1(16,4)=y(2)/y(3)+y(1);
g1(16,24)=(-((1+y(26))*(1+y(23))*(y(19)+y(20))));
g1(16,26)=(-(y(24)*(1+y(23))*(y(19)+y(20))));
g1(17,1)=(-(y(4)*(1+y(27))));
g1(17,19)=(1+y(26))*(1+y(23))*y(24);
g1(17,23)=(1+y(26))*y(19)*y(24);
g1(17,4)=(-(y(1)*(1+y(27))));
g1(17,24)=(1+y(26))*(1+y(23))*y(19);
g1(17,26)=y(24)*(1+y(23))*y(19);
g1(17,27)=(-(y(1)*y(4)));
g1(18,31)=(-(T(4)*(params(7)*T(5)*T(77)+params(8)*T(5)*T(78)+params(9)*T(5)*T(79)+params(10)*T(5)*T(80)+params(11)*T(5)*T(81))));
g1(18,32)=(-(T(4)*(params(7)*y(20)*T(77)+params(8)*y(20)*T(78)+params(9)*y(20)*T(79)+params(10)*y(20)*T(80)+params(11)*y(20)*T(81))));
g1(18,33)=(-(T(4)*(params(7)*T(77)*y(19)*y(15)+params(8)*T(78)*y(19)*y(16)+params(9)*T(79)*y(19)*y(17)+params(10)*T(80)*y(19)*y(18))));
g1(18,15)=(-(params(2)*params(7)*(-y(19))*T(110)+T(4)*params(7)*T(77)*T(103)));
g1(18,16)=(-(params(3)*params(8)*(-y(19))*T(116)+T(4)*params(8)*T(78)*T(103)));
g1(18,17)=(-(params(4)*params(9)*(-y(19))*T(122)+T(4)*params(9)*T(79)*T(103)));
g1(18,18)=(-(params(5)*params(10)*(-y(19))*T(128)+T(4)*params(10)*T(80)*T(103)));
g1(18,19)=(-(params(2)*params(7)*(1-y(15))*T(110)+params(3)*params(8)*(1-y(16))*T(116)+params(4)*params(9)*(1-y(17))*T(122)+params(5)*params(10)*(1-y(18))*T(128)+params(6)*params(11)*getPowerDeriv(y(19),1-params(12),1)+T(4)*T(140)));
g1(18,20)=(-(T(4)*(params(7)*T(53)*T(77)+params(8)*T(53)*T(78)+params(9)*T(53)*T(79)+params(10)*T(53)*T(80)+params(11)*T(53)*T(81))));
g1(18,21)=getPowerDeriv(y(21),1-params(12),1);
g1(18,34)=(-(T(54)*T(146)));
g1(19,6)=(-params(18));
g1(19,26)=1;
g1(19,7)=(-params(20));
g1(19,36)=(-1);
g1(20,2)=(-(params(22)*y(4)/y(3)));
g1(20,3)=(-(params(22)*(-(y(2)*y(4)))/(y(3)*y(3))));
g1(20,4)=(-(y(2)/y(3)*params(22)));
g1(20,6)=(-params(21));
g1(20,7)=(-params(19));
g1(20,27)=1;
g1(20,35)=(-1);
g1(21,19)=(-((-y(24))/(y(19)*y(24)*y(19)*y(24))));
g1(21,24)=(-((-y(19))/(y(19)*y(24)*y(19)*y(24))));
g1(21,28)=1;
g1(22,22)=(-((-1)/(y(22)*y(22))));
g1(22,29)=1;
g1(23,23)=(-((-(1+y(29)))/((1+y(23))*(1+y(23)))));
g1(23,29)=(-(1/(1+y(23))));
g1(23,30)=1;

end
