function T = dynamic_g1_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_g1_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 148);

T = file02d_noestim.dynamic_resid_tt(T, y, x, params, steady_state, it_);

T(55) = getPowerDeriv(T(6),T(1),1);
T(56) = T(4)*T(5)*T(55);
T(57) = y(33)*T(8)+T(9)*y(33)*T(56);
T(58) = T(14)*T(57)-T(10)*y(19)*T(13)*T(56);
T(59) = getPowerDeriv(T(16),T(1),1);
T(60) = T(4)*T(5)*T(59);
T(61) = y(33)*T(18)+T(19)*y(33)*T(60);
T(62) = T(22)*T(61)-T(20)*y(19)*T(13)*T(60);
T(63) = getPowerDeriv(T(24),T(1),1);
T(64) = T(4)*T(5)*T(63);
T(65) = y(33)*T(26)+T(27)*y(33)*T(64);
T(66) = T(30)*T(65)-T(28)*y(19)*T(13)*T(64);
T(67) = getPowerDeriv(T(32),T(1),1);
T(68) = T(4)*T(5)*T(67);
T(69) = y(33)*T(34)+T(35)*y(33)*T(68);
T(70) = T(38)*T(69)-T(36)*y(19)*T(13)*T(68);
T(71) = getPowerDeriv(T(6),(-params(12)),1);
T(72) = getPowerDeriv(T(16),(-params(12)),1);
T(73) = getPowerDeriv(T(24),(-params(12)),1);
T(74) = getPowerDeriv(T(32),(-params(12)),1);
T(75) = getPowerDeriv(y(31)*T(5)+y(20)*y(32),(-params(12)),1);
T(76) = T(40)*params(7)+T(47)*params(7)*T(5)*T(71)+T(42)*params(8)+T(48)*params(8)*T(5)*T(72)+T(44)*params(9)+T(49)*params(9)*T(5)*T(73)+T(46)*params(10)+T(50)*params(10)*T(5)*T(74)+T(51)+y(31)*params(11)*T(5)*T(75);
T(77) = getPowerDeriv(T(6),1-params(12),1);
T(78) = getPowerDeriv(T(16),1-params(12),1);
T(79) = getPowerDeriv(T(24),1-params(12),1);
T(80) = getPowerDeriv(T(32),1-params(12),1);
T(81) = getPowerDeriv(y(31)*T(5)+y(20)*y(32),1-params(12),1);
T(82) = T(9)*y(33)*T(4)*y(20)*T(55);
T(83) = T(14)*T(82)-T(10)*y(19)*T(13)*T(4)*y(20)*T(55);
T(84) = T(19)*y(33)*T(4)*y(20)*T(59);
T(85) = T(22)*T(84)-T(20)*y(19)*T(13)*T(4)*y(20)*T(59);
T(86) = T(27)*y(33)*T(4)*y(20)*T(63);
T(87) = T(30)*T(86)-T(28)*y(19)*T(13)*T(4)*y(20)*T(63);
T(88) = T(35)*y(33)*T(4)*y(20)*T(67);
T(89) = T(38)*T(88)-T(36)*y(19)*T(13)*T(4)*y(20)*T(67);
T(90) = T(9)*(T(8)+y(33)*T(4)*T(55)*y(19)*y(15))+y(33)*T(8)*(-y(15));
T(91) = y(19)*(T(13)*T(4)*T(55)*y(19)*y(15)+T(8)*2*y(33));
T(92) = T(14)*T(90)-T(10)*T(91);
T(93) = T(19)*(T(18)+y(33)*T(4)*T(59)*y(19)*y(16))+y(33)*T(18)*(-y(16));
T(94) = y(19)*(T(18)*2*y(33)+T(13)*T(4)*T(59)*y(19)*y(16));
T(95) = T(22)*T(93)-T(20)*T(94);
T(96) = T(27)*(T(26)+y(33)*T(4)*T(63)*y(19)*y(17))+y(33)*T(26)*(-y(17));
T(97) = y(19)*(T(26)*2*y(33)+T(13)*T(4)*T(63)*y(19)*y(17));
T(98) = T(30)*T(96)-T(28)*T(97);
T(99) = T(35)*(T(34)+y(33)*T(4)*T(67)*y(19)*y(18))+y(33)*T(34)*(-y(18));
T(100) = y(19)*(T(34)*2*y(33)+T(13)*T(4)*T(67)*y(19)*y(18));
T(101) = T(38)*T(99)-T(36)*T(100);
T(102) = T(47)*params(7)*T(71)*y(19)*y(15)+T(40)*params(7)*(-(y(15)+y(11)*y(19)))+T(48)*params(8)*T(72)*y(19)*y(16)+T(42)*params(8)*(-(y(16)+y(19)*y(12)))+T(49)*params(9)*T(73)*y(19)*y(17)+T(44)*params(9)*(-(y(17)+y(19)*y(13)))+T(50)*params(10)*T(74)*y(19)*y(18)+T(46)*params(10)*(-(y(18)+y(19)*y(14)));
T(103) = y(19)*y(33);
T(104) = (-(getPowerDeriv(1-y(15),(-params(12)),1)));
T(105) = (-y(33));
T(106) = params(2)*T(2)*T(104)+T(9)*y(33)*T(4)*T(55)*T(103)+y(33)*T(8)*T(105);
T(107) = params(2)*(-(getPowerDeriv(1-y(15),T(1),1)));
T(108) = T(12)*T(107)+y(19)*T(13)*T(4)*T(55)*T(103);
T(109) = getPowerDeriv(y(19)*(1-y(15)),(-params(12)),1);
T(110) = getPowerDeriv(y(19)*(1-y(15)),1-params(12),1);
T(111) = (-(getPowerDeriv(1-y(16),(-params(12)),1)));
T(112) = T(2)*params(3)*T(111)+T(19)*y(33)*T(4)*T(59)*T(103)+y(33)*T(18)*T(105);
T(113) = params(3)*(-(getPowerDeriv(1-y(16),T(1),1)));
T(114) = T(12)*T(113)+y(19)*T(13)*T(4)*T(59)*T(103);
T(115) = getPowerDeriv(y(19)*(1-y(16)),(-params(12)),1);
T(116) = getPowerDeriv(y(19)*(1-y(16)),1-params(12),1);
T(117) = (-(getPowerDeriv(1-y(17),(-params(12)),1)));
T(118) = T(2)*params(4)*T(117)+T(27)*y(33)*T(4)*T(63)*T(103)+y(33)*T(26)*T(105);
T(119) = params(4)*(-(getPowerDeriv(1-y(17),T(1),1)));
T(120) = T(12)*T(119)+y(19)*T(13)*T(4)*T(63)*T(103);
T(121) = getPowerDeriv(y(19)*(1-y(17)),(-params(12)),1);
T(122) = getPowerDeriv(y(19)*(1-y(17)),1-params(12),1);
T(123) = (-(getPowerDeriv(1-y(18),(-params(12)),1)));
T(124) = T(2)*params(5)*T(123)+T(35)*y(33)*T(4)*T(67)*T(103)+y(33)*T(34)*T(105);
T(125) = params(5)*(-(getPowerDeriv(1-y(18),T(1),1)));
T(126) = T(12)*T(125)+y(19)*T(13)*T(4)*T(67)*T(103);
T(127) = getPowerDeriv(y(19)*(1-y(18)),(-params(12)),1);
T(128) = getPowerDeriv(y(19)*(1-y(18)),1-params(12),1);
T(129) = getPowerDeriv(y(19),T(1),1);
T(130) = T(3)*params(2)*T(129)+T(9)*y(33)*T(4)*T(55)*(y(15)*y(33)-y(31));
T(131) = getPowerDeriv(y(19),(-params(12)),1);
T(132) = T(11)*T(131)+T(8)*T(13)+y(19)*T(13)*T(4)*T(55)*(y(15)*y(33)-y(31));
T(133) = T(15)*params(3)*T(129)+T(19)*y(33)*T(4)*T(59)*(y(33)*y(16)-y(31));
T(134) = T(21)*T(131)+T(13)*T(18)+y(19)*T(13)*T(4)*T(59)*(y(33)*y(16)-y(31));
T(135) = T(23)*params(4)*T(129)+T(27)*y(33)*T(4)*T(63)*(y(33)*y(17)-y(31));
T(136) = T(29)*T(131)+T(13)*T(26)+y(19)*T(13)*T(4)*T(63)*(y(33)*y(17)-y(31));
T(137) = T(31)*params(5)*T(129)+T(35)*y(33)*T(4)*T(67)*(y(33)*y(18)-y(31));
T(138) = T(37)*T(131)+T(13)*T(34)+y(19)*T(13)*T(4)*T(67)*(y(33)*y(18)-y(31));
T(139) = T(47)*params(7)*T(71)*(y(15)*y(33)-y(31))+T(40)*params(7)*(-(y(11)*y(33)))+T(48)*params(8)*T(72)*(y(33)*y(16)-y(31))+T(42)*params(8)*(-(y(33)*y(12)))+T(49)*params(9)*T(73)*(y(33)*y(17)-y(31))+T(44)*params(9)*(-(y(33)*y(13)))+T(50)*params(10)*T(74)*(y(33)*y(18)-y(31))+T(46)*params(10)*(-(y(33)*y(14)))+y(31)*params(11)*T(75)*(-y(31));
T(140) = params(7)*T(77)*(y(15)*y(33)-y(31))+params(8)*T(78)*(y(33)*y(16)-y(31))+params(9)*T(79)*(y(33)*y(17)-y(31))+params(10)*T(80)*(y(33)*y(18)-y(31))+params(11)*T(81)*(-y(31));
T(141) = y(19)*T(13)*T(4)*T(53)*T(55);
T(142) = y(19)*T(13)*T(4)*T(53)*T(59);
T(143) = y(19)*T(13)*T(4)*T(53)*T(63);
T(144) = y(19)*T(13)*T(4)*T(53)*T(67);
T(145) = T(47)*params(7)*T(53)*T(71)+T(48)*params(8)*T(53)*T(72)+T(49)*params(9)*T(53)*T(73)+T(50)*params(10)*T(53)*T(74)+y(31)*params(11)*T(53)*T(75);
T(146) = params(1)*getPowerDeriv(y(34),1-params(12),1);
T(147) = T(7)*T(146);
T(148) = (-((-1)/((1+y(23))*(1+y(23)))));

end
