function T = dynamic_g2_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_g2_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 199);

T = file02d_noestim.dynamic_g1_tt(T, y, x, params, steady_state, it_);

T(149) = (1+y(23)+1+y(23))/((1+y(23))*(1+y(23))*(1+y(23))*(1+y(23)));
T(150) = getPowerDeriv(T(6),T(1),2);
T(151) = T(4)*T(5)*T(5)*T(150);
T(152) = T(14)*T(14)*T(14)*T(14);
T(153) = T(14)*T(91)+T(14)*T(91);
T(154) = T(14)*T(132)+T(14)*T(132);
T(155) = T(14)*T(141)+T(14)*T(141);
T(156) = T(14)*y(19)*T(13)*T(147)+T(14)*y(19)*T(13)*T(147);
T(157) = getPowerDeriv(y(19),T(1),2);
T(158) = getPowerDeriv(y(19),(-params(12)),2);
T(159) = params(1)*getPowerDeriv(y(34),1-params(12),2);
T(160) = T(7)*T(159);
T(161) = getPowerDeriv(T(16),T(1),2);
T(162) = T(4)*T(5)*T(5)*T(161);
T(163) = T(22)*T(22)*T(22)*T(22);
T(164) = T(22)*T(94)+T(22)*T(94);
T(165) = T(22)*T(134)+T(22)*T(134);
T(166) = T(22)*T(142)+T(22)*T(142);
T(167) = T(22)*y(19)*T(13)*T(17)*T(146)+T(22)*y(19)*T(13)*T(17)*T(146);
T(168) = getPowerDeriv(T(24),T(1),2);
T(169) = T(4)*T(5)*T(5)*T(168);
T(170) = T(30)*T(30)*T(30)*T(30);
T(171) = T(30)*T(97)+T(30)*T(97);
T(172) = T(30)*T(136)+T(30)*T(136);
T(173) = T(30)*T(143)+T(30)*T(143);
T(174) = T(30)*y(19)*T(13)*T(25)*T(146)+T(30)*y(19)*T(13)*T(25)*T(146);
T(175) = getPowerDeriv(T(32),T(1),2);
T(176) = T(4)*T(5)*T(5)*T(175);
T(177) = T(38)*T(38)*T(38)*T(38);
T(178) = T(38)*T(100)+T(38)*T(100);
T(179) = T(38)*T(138)+T(38)*T(138);
T(180) = T(38)*T(144)+T(38)*T(144);
T(181) = T(38)*y(19)*T(13)*T(33)*T(146)+T(38)*y(19)*T(13)*T(33)*T(146);
T(182) = getPowerDeriv(T(6),(-params(12)),2);
T(183) = getPowerDeriv(y(19)*(1-y(15)),(-params(12)),2);
T(184) = getPowerDeriv(T(16),(-params(12)),2);
T(185) = getPowerDeriv(y(19)*(1-y(16)),(-params(12)),2);
T(186) = getPowerDeriv(T(24),(-params(12)),2);
T(187) = getPowerDeriv(y(19)*(1-y(17)),(-params(12)),2);
T(188) = getPowerDeriv(T(32),(-params(12)),2);
T(189) = getPowerDeriv(y(19)*(1-y(18)),(-params(12)),2);
T(190) = getPowerDeriv(y(31)*T(5)+y(20)*y(32),(-params(12)),2);
T(191) = getPowerDeriv(T(6),1-params(12),2);
T(192) = getPowerDeriv(T(16),1-params(12),2);
T(193) = getPowerDeriv(T(24),1-params(12),2);
T(194) = getPowerDeriv(T(32),1-params(12),2);
T(195) = getPowerDeriv(y(31)*T(5)+y(20)*y(32),1-params(12),2);
T(196) = getPowerDeriv(y(19)*(1-y(15)),1-params(12),2);
T(197) = getPowerDeriv(y(19)*(1-y(16)),1-params(12),2);
T(198) = getPowerDeriv(y(19)*(1-y(17)),1-params(12),2);
T(199) = getPowerDeriv(y(19)*(1-y(18)),1-params(12),2);

end
