function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
% function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = file02d_noestim.dynamic_resid_tt(T, y, x, params, steady_state, it_);
end
residual = zeros(23, 1);
lhs = y(8);
rhs = (y(25)*(1+y(26))+1/(1+y(23)))/y(5);
residual(1) = lhs - rhs;
lhs = y(9);
rhs = 1/((1+y(23))*y(3));
residual(2) = lhs - rhs;
lhs = y(10);
rhs = 1/(1+y(23));
residual(3) = lhs - rhs;
lhs = y(11);
rhs = T(10)/T(14);
residual(4) = lhs - rhs;
lhs = y(12);
rhs = T(20)/T(22);
residual(5) = lhs - rhs;
lhs = y(13);
rhs = T(28)/T(30);
residual(6) = lhs - rhs;
lhs = y(14);
rhs = T(36)/T(38);
residual(7) = lhs - rhs;
lhs = params(2)*T(39);
rhs = y(33)*T(4)*T(40);
residual(8) = lhs - rhs;
lhs = params(3)*T(41);
rhs = y(33)*T(4)*T(42);
residual(9) = lhs - rhs;
lhs = params(4)*T(43);
rhs = y(33)*T(4)*T(44);
residual(10) = lhs - rhs;
lhs = params(5)*T(45);
rhs = y(33)*T(4)*T(46);
residual(11) = lhs - rhs;
residual(12) = T(39)*params(2)*params(7)*(1+y(19)*(-y(11))-y(15))+T(41)*params(3)*params(8)*(1+y(19)*(-y(12))-y(16))+T(43)*params(4)*params(9)*(1+y(19)*(-y(13))-y(17))+T(45)*params(5)*params(10)*(1+y(19)*(-y(14))-y(18))+T(12)*params(6)*params(11)-T(4)*T(52);
residual(13) = T(53);
lhs = 1;
rhs = y(19)*(params(11)+(1-y(15))*params(7)+(1-y(16))*params(8)+(1-y(17))*params(9)+(1-y(18))*params(10))*y(24);
residual(14) = lhs - rhs;
lhs = y(25);
rhs = T(5)*y(24);
residual(15) = lhs - rhs;
lhs = (y(2)/y(3)+y(1))*y(4);
rhs = (1+y(26))*y(24)*(1+y(23))*(y(19)+y(20));
residual(16) = lhs - rhs;
lhs = (1+y(26))*y(24)*(1+y(23))*y(19);
rhs = y(4)*y(1)*(1+y(27));
residual(17) = lhs - rhs;
lhs = y(21)^(1-params(12));
rhs = params(2)*params(7)*(y(19)*(1-y(15)))^(1-params(12))+params(3)*params(8)*(y(19)*(1-y(16)))^(1-params(12))+params(4)*params(9)*(y(19)*(1-y(17)))^(1-params(12))+params(5)*params(10)*(y(19)*(1-y(18)))^(1-params(12))+params(6)*params(11)*y(19)^(1-params(12))+T(4)*T(54);
residual(18) = lhs - rhs;
lhs = y(26);
rhs = params(16)+params(18)*(y(6)-params(16))+params(20)*(y(7)-params(17))+x(it_, 2);
residual(19) = lhs - rhs;
lhs = y(27);
rhs = params(17)+(y(7)-params(17))*params(19)+(y(6)-params(16))*params(21)+params(22)*(y(2)*y(4)/y(3)-params(15)*params(13)/params(14))+x(it_, 1);
residual(20) = lhs - rhs;
lhs = y(28);
rhs = 1/(y(19)*y(24));
residual(21) = lhs - rhs;
lhs = y(29);
rhs = 1/y(22)-1;
residual(22) = lhs - rhs;
lhs = y(30);
rhs = (1+y(29))/(1+y(23))-1;
residual(23) = lhs - rhs;

end
