function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 54);

T(1) = (-(1+params(12)));
T(2) = y(19)^T(1);
T(3) = (1-y(15))^(-params(12));
T(4) = params(1)*y(34)^(1-params(12));
T(5) = 1-y(20)-y(19);
T(6) = y(31)*T(5)+y(20)*y(32)+y(19)*y(15)*y(33);
T(7) = T(6)^T(1);
T(8) = T(4)*T(7);
T(9) = y(31)-y(15)*y(33);
T(10) = params(2)*T(2)*T(3)+y(33)*T(8)*T(9);
T(11) = params(2)*(1-y(15))^T(1);
T(12) = y(19)^(-params(12));
T(13) = y(33)^2;
T(14) = T(11)*T(12)+y(19)*T(8)*T(13);
T(15) = (1-y(16))^(-params(12));
T(16) = y(31)*T(5)+y(20)*y(32)+y(19)*y(33)*y(16);
T(17) = T(16)^T(1);
T(18) = T(4)*T(17);
T(19) = y(31)-y(33)*y(16);
T(20) = T(2)*params(3)*T(15)+y(33)*T(18)*T(19);
T(21) = params(3)*(1-y(16))^T(1);
T(22) = T(12)*T(21)+y(19)*T(13)*T(18);
T(23) = (1-y(17))^(-params(12));
T(24) = y(31)*T(5)+y(20)*y(32)+y(19)*y(33)*y(17);
T(25) = T(24)^T(1);
T(26) = T(4)*T(25);
T(27) = y(31)-y(33)*y(17);
T(28) = T(2)*params(4)*T(23)+y(33)*T(26)*T(27);
T(29) = params(4)*(1-y(17))^T(1);
T(30) = T(12)*T(29)+y(19)*T(13)*T(26);
T(31) = (1-y(18))^(-params(12));
T(32) = y(31)*T(5)+y(20)*y(32)+y(19)*y(33)*y(18);
T(33) = T(32)^T(1);
T(34) = T(4)*T(33);
T(35) = y(31)-y(33)*y(18);
T(36) = T(2)*params(5)*T(31)+y(33)*T(34)*T(35);
T(37) = params(5)*(1-y(18))^T(1);
T(38) = T(12)*T(37)+y(19)*T(13)*T(34);
T(39) = (y(19)*(1-y(15)))^(-params(12));
T(40) = T(6)^(-params(12));
T(41) = (y(19)*(1-y(16)))^(-params(12));
T(42) = T(16)^(-params(12));
T(43) = (y(19)*(1-y(17)))^(-params(12));
T(44) = T(24)^(-params(12));
T(45) = (y(19)*(1-y(18)))^(-params(12));
T(46) = T(32)^(-params(12));
T(47) = y(31)-y(33)*(y(15)+y(11)*y(19));
T(48) = y(31)-y(33)*(y(16)+y(19)*y(12));
T(49) = y(31)-y(33)*(y(17)+y(19)*y(13));
T(50) = y(31)-y(33)*(y(18)+y(19)*y(14));
T(51) = params(11)*(y(31)*T(5)+y(20)*y(32))^(-params(12));
T(52) = T(40)*params(7)*T(47)+T(42)*params(8)*T(48)+T(44)*params(9)*T(49)+T(46)*params(10)*T(50)+y(31)*T(51);
T(53) = y(32)-y(31);
T(54) = params(7)*T(6)^(1-params(12))+params(8)*T(16)^(1-params(12))+params(9)*T(24)^(1-params(12))+params(10)*T(32)^(1-params(12))+params(11)*(y(31)*T(5)+y(20)*y(32))^(1-params(12));

end
