%%% This file runs file02e_noest %%%
addpath C:\dynare\4.6.2\matlab;
dynare file02d_noestim noclearall nolog;

% Re(1) Rb(2) py(20) gy(23) gm(24) v(25) i(26) r(27)
MV = oo_.var;
CC = oo_.contemporaneous_correlation;
AC = oo_.autocorr{1,1};

%---"estimated" statistics---%
cgygyl = AC(23,23);
cgygml = AC(23,24);
sdgy   = sqrt(MV(23,23));
cgmgml = AC(24,24);
cgmgyl = AC(24,23);
sdgm   = sqrt(MV(24,24));
cgygm  = CC(23,24);

table1 = [rho_y;rho_ym;sigma_y;rho_m;rho_my;sigma_m;sigma_ym;f];

table2 = [cgygyl;cgygml;sdgy;cgmgml;cgmgyl;sdgm;cgygm];

%---standard deviations---%
% Re(1) Rb(2) py(20) gy(23) gm(24) v(25) i(26) r(27)

sdv  = sqrt(MV(25,25));
sdi  = sqrt(MV(26,26));
sdr  = sqrt(MV(27,27));
sdRe = sqrt(MV(1,1));
sdpy = sqrt(MV(20,20));

table3 = [sdv;sdi;sdr;sdRe;sdpy];

%---correlations---%
% Re(1) Rb(2) py(20) gy(23) gm(24) v(25) i(26) r(27)
cvgy = CC(25,23);
cvgm = CC(25,24);
cvi  = CC(25,26);
cvr  = CC(25,27);
cvRe = CC(25,1);
cvpy = CC(25,20);

cpygy = CC(20,23);
cpygm = CC(20,24);
cpyi  = CC(20,26);
cpyr  = CC(20,27);
cpyRe = CC(20,1);

cRegy = CC(1,23);
cRegm = CC(1,24);
cRer  = CC(1,27);
cRei  = CC(1,26);
table4 = [cvgy;cvgm;cvi;cvr;cvRe;cvpy;cpygy;cpygm;cpyi;cpyr;cpyRe;cRegy;cRegm;cRer;cRei];

%---auto-correlations---%
% Re(1) Rb(2) py(20) gy(23) gm(24) v(25) i(26) r(27)

acv = AC(25,25);
aci = AC(26,26);
acr = AC(27,27);
acRe = AC(1,1);
acpy = AC(20,20);

table5 = [acv;aci;acr;acRe;acpy];

tablepar = [bbeta;0;t1;t2;t3;t4;t5;p1;p2;p3;p4;p5;oo_.steady_state(16);zb_bar;oo_.steady_state(22);w_bar;oo_.steady_state(18)];

