function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
% function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = file02Rb.dynamic_g1_tt(T, y, x, params, steady_state, it_);
end
g1 = zeros(14, 26);
g1(1,8)=1;
g1(1,15)=(-((-1)/((1+y(15))*(1+y(15)))/y(5)));
g1(1,5)=(-((-(y(17)*(1+y(18))+1/(1+y(15))))/(y(5)*y(5))));
g1(1,17)=(-((1+y(18))/y(5)));
g1(1,18)=(-(y(17)/y(5)));
g1(2,9)=1;
g1(2,3)=(-((-(1+y(15)))/((1+y(15))*y(3)*(1+y(15))*y(3))));
g1(2,15)=(-((-y(3))/((1+y(15))*y(3)*(1+y(15))*y(3))));
g1(3,10)=1;
g1(3,15)=(-((-1)/((1+y(15))*(1+y(15)))));
g1(4,22)=(-(params(1)*y(24)*(T(1)+y(22)*(1-y(12)-y(11))*T(3))));
g1(4,23)=(-(params(1)*y(24)*y(22)*y(12)*T(3)));
g1(4,11)=params(2)*getPowerDeriv(y(11),(-params(3)),1)-params(1)*y(24)*y(22)*T(3)*(-y(22));
g1(4,12)=(-(params(1)*y(24)*y(22)*(y(23)-y(22))*T(3)));
g1(4,24)=(-(params(1)*y(22)*T(1)));
g1(5,22)=y(24)*(y(23)-y(22))*(1-y(12)-y(11))*T(3)+T(1)*(-y(24));
g1(5,23)=y(24)*(y(23)-y(22))*y(12)*T(3)+y(24)*T(1);
g1(5,11)=y(24)*(y(23)-y(22))*T(3)*(-y(22));
g1(5,12)=y(24)*(y(23)-y(22))*(y(23)-y(22))*T(3);
g1(5,24)=T(1)*(y(23)-y(22));
g1(6,11)=(-y(16));
g1(6,16)=(-y(11));
g1(7,11)=y(16);
g1(7,12)=y(16);
g1(7,16)=(-(1-y(12)-y(11)));
g1(7,17)=1;
g1(8,1)=y(4);
g1(8,11)=(-((1+y(18))*(1+y(15))*y(16)));
g1(8,2)=y(4)*1/y(3);
g1(8,12)=(-((1+y(18))*(1+y(15))*y(16)));
g1(8,3)=y(4)*(-y(2))/(y(3)*y(3));
g1(8,15)=(-((1+y(18))*y(16)*(y(11)+y(12))));
g1(8,4)=y(2)/y(3)+y(1);
g1(8,16)=(-((1+y(18))*(1+y(15))*(y(11)+y(12))));
g1(8,18)=(-(y(16)*(1+y(15))*(y(11)+y(12))));
g1(9,1)=(-(y(4)*(1+y(19))));
g1(9,11)=(1+y(18))*(1+y(15))*y(16);
g1(9,15)=(1+y(18))*y(11)*y(16);
g1(9,4)=(-(y(1)*(1+y(19))));
g1(9,16)=(1+y(18))*(1+y(15))*y(11);
g1(9,18)=y(16)*(1+y(15))*y(11);
g1(9,19)=(-(y(1)*y(4)));
g1(10,22)=(-(params(1)*y(24)*(1-y(12)-y(11))*T(4)));
g1(10,23)=(-(params(1)*y(24)*y(12)*T(4)));
g1(10,11)=(-(params(2)*getPowerDeriv(y(11),1-params(3),1)+params(1)*y(24)*T(4)*(-y(22))));
g1(10,12)=(-(params(1)*y(24)*(y(23)-y(22))*T(4)));
g1(10,13)=1;
g1(10,24)=(-(params(1)*T(2)));
g1(11,6)=(-params(9));
g1(11,18)=1;
g1(11,7)=(-params(11));
g1(11,26)=(-1);
g1(12,2)=(-(params(13)*y(4)/y(3)));
g1(12,3)=(-(params(13)*(-(y(2)*y(4)))/(y(3)*y(3))));
g1(12,4)=(-(y(2)/y(3)*params(13)));
g1(12,6)=(-params(12));
g1(12,7)=(-params(10));
g1(12,19)=1;
g1(12,25)=(-1);
g1(13,14)=(-((-1)/(y(14)*y(14))));
g1(13,20)=1;
g1(14,15)=(-((-(1+y(20)))/((1+y(15))*(1+y(15)))));
g1(14,20)=(-(1/(1+y(15))));
g1(14,21)=1;

end
