function residual = static_resid(T, y, x, params, T_flag)
% function residual = static_resid(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = file02Rb.static_resid_tt(T, y, x, params);
end
residual = zeros(14, 1);
lhs = y(1);
rhs = (y(10)*(1+y(11))+1/(1+y(8)))/y(10);
residual(1) = lhs - rhs;
lhs = y(2);
rhs = 1/((1+y(8))*y(7));
residual(2) = lhs - rhs;
lhs = y(3);
rhs = 1/(1+y(8));
residual(3) = lhs - rhs;
residual(4) = params(2)*y(4)^(-params(3))-params(1)*y(6)*y(1)*T(1);
residual(5) = T(1)*y(6)*(y(2)-y(1));
lhs = 1;
rhs = y(4)*y(9);
residual(6) = lhs - rhs;
lhs = y(10);
rhs = (1-y(5)-y(4))*y(9);
residual(7) = lhs - rhs;
lhs = y(9)*(y(4)+y(5)/y(7));
rhs = (1+y(11))*y(9)*(1+y(8))*(y(4)+y(5));
residual(8) = lhs - rhs;
lhs = (1+y(11))*y(9)*(1+y(8))*y(4);
rhs = y(9)*y(4)*(1+y(12));
residual(9) = lhs - rhs;
lhs = y(6);
rhs = params(2)*y(4)^(1-params(3))+params(1)*y(6)*T(2);
residual(10) = lhs - rhs;
lhs = y(11);
rhs = params(7)+params(9)*(y(11)-params(7))+params(11)*(y(12)-params(8))+x(2);
residual(11) = lhs - rhs;
lhs = y(12);
rhs = params(8)+(y(12)-params(8))*params(10)+(y(11)-params(7))*params(12)+params(13)*(y(5)*y(9)/y(7)-params(6)*params(4)/params(5))+x(1);
residual(12) = lhs - rhs;
lhs = y(13);
rhs = 1/y(7)-1;
residual(13) = lhs - rhs;
lhs = y(14);
rhs = (1+y(13))/(1+y(8))-1;
residual(14) = lhs - rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
end
