function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
% function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = file02Rc_noestim.dynamic_resid_tt(T, y, x, params, steady_state, it_);
end
residual = zeros(14, 1);
lhs = y(8);
rhs = (y(17)*(1+y(18))+1/(1+y(15)))/y(5);
residual(1) = lhs - rhs;
lhs = y(9);
rhs = 1/((1+y(15))*y(3));
residual(2) = lhs - rhs;
lhs = y(10);
rhs = 1/(1+y(15));
residual(3) = lhs - rhs;
residual(4) = params(2)*y(11)^(-params(3))-params(1)*y(24)*y(22)*T(1);
residual(5) = T(1)*y(24)*(y(23)-y(22));
lhs = 1;
rhs = y(11)*y(16);
residual(6) = lhs - rhs;
lhs = y(17);
rhs = (1-y(12)-y(11))*y(16);
residual(7) = lhs - rhs;
lhs = (y(2)/y(3)+y(1))*y(4);
rhs = (1+y(18))*y(16)*(1+y(15))*(y(11)+y(12));
residual(8) = lhs - rhs;
lhs = (1+y(18))*y(16)*(1+y(15))*y(11);
rhs = y(4)*y(1)*(1+y(19));
residual(9) = lhs - rhs;
lhs = y(13);
rhs = params(2)*y(11)^(1-params(3))+params(1)*y(24)*T(2);
residual(10) = lhs - rhs;
lhs = y(18);
rhs = params(7)+params(9)*(y(6)-params(7))+params(11)*(y(7)-params(8))+x(it_, 2);
residual(11) = lhs - rhs;
lhs = y(19);
rhs = params(8)+(y(7)-params(8))*params(10)+(y(6)-params(7))*params(12)+params(13)*(y(2)*y(4)/y(3)-params(6)*params(4)/params(5))+x(it_, 1);
residual(12) = lhs - rhs;
lhs = y(20);
rhs = 1/y(14)-1;
residual(13) = lhs - rhs;
lhs = y(21);
rhs = (1+y(20))/(1+y(15))-1;
residual(14) = lhs - rhs;

end
